net.sourceforge.pmd.lang.jsp.rule

## Class JspRuleViolationFactory

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.AbstractRuleViolationFactory
  - - net.sourceforge.pmd.lang.jsp.rule.JspRuleViolationFactory

All Implemented Interfaces:
  RuleViolationFactory

    public final class JspRuleViolationFactory
    extends AbstractRuleViolationFactory

### Field Summary

Fields
`static RuleViolationFactory` `INSTANCE`

### Method Summary

Methods
`protected RuleViolation` `createRuleViolation(Rule rule, RuleContext ruleContext, Node node, String message)`
`protected RuleViolation` `createRuleViolation(Rule rule, RuleContext ruleContext, Node node, String message, int beginLine, int endLine)`

### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRuleViolationFactory

`addViolation, addViolation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final RuleViolationFactory INSTANCE

### Method Detail

#### createRuleViolation

    protected RuleViolation createRuleViolation(Rule rule,
                                    RuleContext ruleContext,
                                    Node node,
                                    String message)

Specified by:
  `createRuleViolation` in class `AbstractRuleViolationFactory`

#### createRuleViolation

    protected RuleViolation createRuleViolation(Rule rule,
                                    RuleContext ruleContext,
                                    Node node,
                                    String message,
                                    int beginLine,
                                    int endLine)

Specified by:
  `createRuleViolation` in class `AbstractRuleViolationFactory`